Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Tier Nolan <[email-masked]>
Date: Mon, 22 Jun 2015 21:43:41 +0100

On Mon, Jun 22, 2015 at 8:32 PM, Jean-Paul Kogelman <[email-masked]
> wrote:

>
> Since it's possible that block timestamps aren't chronological in order,
> what would happen if a block following a size increase trigger is back in
> the past before the size increase? Would that block have a lower size
> restriction again? Would using block height not be a more stable number to
> work with?
>

The activation or not rule is purely timestamp based.  Blocks with a
timestamp less than 1452470400 have a limit of 1MB.  There could be an 8MB
block followed by a block that is limited to 1MB.